1. gjac1

    OP gjac1 GBAtemp Fan
    Member

    Joined:
    May 1, 2005
    Messages:
    346
    Country:
    I am trying to play Animal Crossing using the latest SXOS 3.0.4 but when i try to launch the XCI file it says the game requires a firmware update. I cant seem to find any option in the SXOS settings or Tinfoil or anywhere that will let me get the latest firmware to run in the emunand.

    Can someone explain to me what i have to do please ?

    Thank you
     
  2. Rikua

    Rikua GBAtemp Regular
    Member

    Joined:
    Dec 2, 2014
    Messages:
    131
    Country:
    United States
    Are you sure your Switch console is up to date? I don't think that has anything to do with SXOS and has more to do with your current switch firmware. I only know because im still on 8.2 and can't play a ton of current games (gives the same error).
     
  3. Hernie

    Hernie GBAtemp Regular
    Member

    Joined:
    May 11, 2018
    Messages:
    108
    Country:
    United States
    You have to download the switch firmware online, and then use ChoidujourNX to update your emunand. (Make sure to use the "exfat" option)

    Sent from my SM-G975U using Tapatalk
     
    slaphappygamer likes this.
  4. gjac1

    OP gjac1 GBAtemp Fan
    Member

    Joined:
    May 1, 2005
    Messages:
    346
    Country:
    I thought you couldn't update the firmware on the official nand because you will lose CFW usage ?

    I just read about this one, but it comes with loads of warnings , is it safe to do this ?

    Thank you both for the replies
     
  5. Hernie

    Hernie GBAtemp Regular
    Member

    Joined:
    May 11, 2018
    Messages:
    108
    Country:
    United States
    Loads of Warnings? If you're talking about the "exfat" portion, if you have an SDcard that's bigger than 32gb, then you're gonna need it. Unless you specifically formatted your Sdcard to be fat32 then your card will not work unless you select "exfat". SXOS can also use an external hard drive, and if you don't use exfat, that won't work either.

    Sent from my SM-G975U using Tapatalk
     
  6. MaxiBus

    MaxiBus GBAtemp Regular
    Member

    Joined:
    Jan 12, 2018
    Messages:
    204
    Country:
    Austria
    Fat32 is the recommendation everywhere written, i think chances to destroy the partition table on exfat formatted cards are higher than on fat32 formatted ones. Thats all.
     
  7. Draxzelex

    Draxzelex GBAtemp Legend
    Member

    Joined:
    Aug 6, 2017
    Messages:
    15,611
    Country:
    United States
    If your console is unpatched, then you cannot lose the ability to hack it because it relies on a hardware exploit.
     
    ChronoTrig likes this.
  8. laramie

    laramie GBAtemp Advanced Fan
    Member

    Joined:
    Dec 15, 2014
    Messages:
    773
    Country:
    United States
    fat32 is safer..... please don't use exfat, that's why things corrupt
     
    ChronoTrig likes this.
  9. fatherjack

    fatherjack GBAtemp Advanced Fan
    Member

    Joined:
    Jul 3, 2007
    Messages:
    542
    Country:
    United Kingdom
    @gjac1
    The clue is in the message, FIRMWARE update - means switch firmware NOT sxos version.
    The 1.5 update will ask for 10.2, firmware but this can be patched out using NSC Builder.
    I am running ACNH 1.5 .0 on sxos 3.0.4 with 10.1 emunand from Fat32 format SD card.
     
    Last edited by fatherjack, Oct 17, 2020
  10. slaphappygamer

    slaphappygamer GBAtemp Psycho!
    Member

    Joined:
    Nov 30, 2008
    Messages:
    3,369
    Country:
    United States
    The other warning must be about using autorcm. In choidujourNX, the default option is to enable autorcm. I’ve always turned that option off. I’ve never used autorcm.
     
Draft saved Draft deleted
Loading...

Hide similar threads Similar threads with keywords - Firmware, Update,